# InclinedStringDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for InclinedStringDrawer:
[legend]

List of all members.

## Public Member Functions

| draw ($string)

## Public Attributes

const | MAX_ANGLE = 70

## Detailed Description

Definition at line 15 of file InclinedStringDrawer.class.php.

## Member Function Documentation

InclinedStringDrawer::draw | ( | $ | string | ) |

Returns:
  InclinedStringDrawer

Reimplemented from TextDrawer.

Definition at line 22 of file InclinedStringDrawer.class.php.

References TextDrawer::drawCraracter(), TextDrawer::getMaxCharacterHeight(), TextDrawer::getSpace(), TextDrawer::getStringWidth(), TextDrawer::getTextWidth(), Drawer::getTuringImage(), and TextDrawer::showError().

Here is the call graph for this function:

## Member Data Documentation

const InclinedStringDrawer::MAX_ANGLE = 70

Definition at line 17 of file InclinedStringDrawer.class.php.

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/InclinedStringDrawer.class.php